This page was not yet optimized for use on mobile devices.
Security Builder® FIPS Module
Certificate details
| Certificate ID | #3362 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 05.02.2019 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The Security Builder® FIPS Module is a standards-based cryptographic toolkit that supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into both mobile and server-based applications. The Security Builder FIPS Module is part of the Certicom Security Architecture, a comprehensive cross-platform security solution which supports multiple cryptographic software and hardware providers with a single common API. |
| Tested configurations |
|
| Vendor | Certicom Corp. http://www.certicom.com |
| Lab | CGI Information Systems & Management Consultants Inc |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDH, ECDSA, ECIES, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHAKE128, SHAKE256, MD4, MD5Schemes
KEMProtocols
SSLRandomness
DRBG, RNGBlock cipher modes
ECB, CBC, CTR, GCM, CCMVendor
QualcommSecurity level
Level 1Side-channel analysis
Timing Attack, Timing AttacksStandards
FIPS 140-2, FIPS PUB 140-2, FIPS 197, FIPS 180-4, FIPS 202, FIPS 198-1, FIPS 186-4, NIST SP 800-38B, NIST SP 800-38C, NIST SP 800-38D, NIST SP 800-38E, NIST SP 800-38F, NIST SP 800-90A, NIST SP 800-56A, NIST SP 800-56B, NIST SP 800-135, SP 800-133, SP 800-56A, SP 800-56B, SP 800-90A, PKCS1, PKCS #1, RFC 2268, RFC 1321, RFC 1320, RFC 1115, RFC 2104, RFC 3566Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3362,
"dgst": "251851f41520f4df",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#2085",
"DSA#1391",
"#1849",
"#5387",
"Triple-DES#2714",
"SHA-3#43",
"#3568",
"DRBG#2085",
"CVL#1850",
"#2881",
"ECDSA#1423",
"#43",
"#1850",
"SHS#4321",
"HMAC#3568",
"#1391",
"#4321",
"RSA#2881",
"#2714",
"#1423",
"CVL#1851",
"KAS#178",
"#1851",
"AES#5387",
"#178",
"CVL#1849"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 13
},
"ECDSA": {
"ECDSA": 12
},
"ECIES": {
"ECIES": 1
}
},
"FF": {
"DH": {
"DH": 12,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 12
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
}
}
},
"crypto_scheme": {
"KEM": {
"KEM": 1
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 3,
"#1391": 1,
"#1423": 1,
"#178": 3,
"#1849": 1,
"#1850": 1,
"#1851": 1,
"#2085": 1,
"#2714": 1,
"#2881": 2,
"#3568": 11,
"#43": 6,
"#4321": 7,
"#5387": 7
}
},
"fips_certlike": {
"Certlike": {
"#2881 RSA": 2,
"#5387 AES": 1,
"#5387 DES": 1,
"AES Cert. #5387": 1,
"HMAC SHA-1": 1,
"HMAC SHA-224": 1,
"HMAC SHA-256": 2,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC SHA-512/224": 1,
"HMAC SHA-512/256": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA-512/224": 2,
"HMAC-SHA-512/256": 2,
"PKCS #1": 6,
"PKCS1": 2,
"RSA 11": 1,
"RSA PKCS1": 2,
"SHA-1": 3,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 2,
"SHA-512": 2,
"SHA3-224": 2,
"SHA3-256": 2,
"SHA3-384": 2,
"SHA3-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 1
},
"MD5": {
"MD5": 1
}
},
"SHA": {
"SHA1": {
"SHA-1": 3
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 2,
"SHA-512": 2
},
"SHA3": {
"SHA3-224": 2,
"SHA3-256": 2,
"SHA3-384": 2,
"SHA3-512": 2
}
},
"SHAKE": {
"SHAKE128": 1,
"SHAKE256": 1
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 22
},
"RNG": {
"RNG": 9
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attack": 2,
"Timing Attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 13,
"FIPS 180-4": 7,
"FIPS 186-4": 7,
"FIPS 197": 1,
"FIPS 198-1": 11,
"FIPS 202": 6,
"FIPS PUB 140-2": 6
},
"NIST": {
"NIST SP 800-135": 1,
"NIST SP 800-38B": 1,
"NIST SP 800-38C": 1,
"NIST SP 800-38D": 1,
"NIST SP 800-38E": 1,
"NIST SP 800-38F": 1,
"NIST SP 800-56A": 7,
"NIST SP 800-56B": 3,
"NIST SP 800-90A": 1,
"SP 800-133": 1,
"SP 800-56A": 1,
"SP 800-56B": 1,
"SP 800-90A": 4
},
"PKCS": {
"PKCS #1": 3,
"PKCS1": 2
},
"RFC": {
"RFC 1115": 1,
"RFC 1320": 1,
"RFC 1321": 1,
"RFC 2104": 1,
"RFC 2268": 1,
"RFC 3566": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 17
}
},
"DES": {
"3DES": {
"Triple-DES": 16
},
"DES": {
"DES": 1
}
},
"constructions": {
"MAC": {
"CMAC": 1,
"HMAC": 24,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Qualcomm": {
"Qualcomm": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RSA#2881",
"Triple-DES#2714",
"SHA-3#43",
"DRBG#2085",
"SHS#4321",
"HMAC#3568",
"CVL#1850",
"DSA#1391",
"CVL#1851",
"KAS#178",
"ECDSA#1423",
"AES#5387",
"CVL#1849"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#5387",
"#4321",
"#3568",
"#1850",
"#2085",
"#2714",
"#2881",
"#1423",
"#1849",
"#1851",
"#178",
"#1391",
"#43"
]
},
"policy_metadata": {
"/AAPL:Keywords": "[]",
"/CreationDate": "D:20190201184134Z00\u002700\u0027",
"/Creator": "Word",
"/Keywords": "",
"/ModDate": "D:20190201184134Z00\u002700\u0027",
"/Producer": "Mac OS X 10.12.6 Quartz PDFContext",
"/Title": "Microsoft Word - SB_GSE_6_3_0_Security_Policy.doc",
"pdf_file_size_bytes": 342503,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 25
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "39f08a49a1fa7da5ec5716b82503211832359a279a9fbb74b16484ddb5cac68b",
"source_hash": "b594c8a7db35246b0b4f7e8ca422b52cb121999547621833c15fee0f16f25ff7",
"txt_hash": "fb10b03e50334eff51b5f424fa0058681d796c7fb7a1b23099f64f3cc5bd648f"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FebConsolidated.pdf",
"date_sunset": null,
"description": "The Security Builder\u00ae FIPS Module is a standards-based cryptographic toolkit that supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into both mobile and server-based applications. The Security Builder FIPS Module is part of the Certicom Security Architecture, a comprehensive cross-platform security solution which supports multiple cryptographic software and hardware providers with a single common API.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Security Builder\u00ae FIPS Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "6.3.0",
"tested_conf": [
"Android 7.1.2 on Qualcomm MSM8953 64-bit ARMv8 processor running on BlackBerry KEYone smart phone with PAA",
"Android 7.1.2 on Qualcomm MSM8953 64-bit ARMv8 processor running on BlackBerry KEYone smart phone without PAA (single-user mode)",
"QNX SDP 6.6 on Cortex-A8 ARMv7 processor running on Boundary Devices NITROGEN6X i.MX6Q development board with PAA",
"QNX SDP 6.6 on Cortex-A8 ARMv7 processor running on Boundary Devices NITROGEN6X i.MX6Q development board without PAA",
"QNX SDP 7 on Cortex-A57/A-53 64-bit ARMv8 processor running on Renesas R-Car Pro(M3) development board with PAA",
"QNX SDP 7 on Cortex-A57/A-53 64-bit ARMv8 processor running on Renesas R-Car Pro(M3) development board without PAA",
"QNX SDP 7 on Intel Atom C3558 64-bit x86 processor running on SUPERMICRO A2SDi-4C-HLN4F-O server mother board with PAA",
"QNX SDP 7 on Intel Atom C3558 64-bit x86 processor running on SUPERMICRO A2SDi-4C-HLN4F-O server mother board without PAA",
"QNX SDP 7 on TI AM335x ARMv7 processor running on BeagleBone Black AM335X development board with PAA",
"QNX SDP 7 on TI AM335x ARMv7 processor running on BeagleBone Black AM335X development board without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2019-02-05",
"lab": "CGI Information Systems \u0026 Management Consultants Inc",
"validation_type": "Initial"
}
],
"vendor": "Certicom Corp.",
"vendor_url": "http://www.certicom.com"
}
}